当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]gnome-language-selector 报错的问题
帖子发表于 : 2008-07-10 16:31 

注册: 2005-07-22 15:24
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
我是使用 ubuntu-8.04-alternate-i386 安装的命令行系统。然后安装了 X 和 icewm。
同时也安装了 language-support-zh 包。
由于比较懒,所以想使用 language selector 设置语言环境。
但是 apt-get 了language-selector 之后,在终端中使用 gnome-language-selector 报如下错误:
代码:
(gnome-language-selector:8020): libglade-WARNING **: Error loading image: Failed to open file '/usr/share/language-selector//data/config-language': No such file or directory

(gnome-language-selector:8020): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `icon'
/usr/lib/python2.5/site-packages/LanguageSelector/gtk/GtkLanguageSelector.py:571: GtkWarning: gtk_cell_view_set_cell_data: assertion `cell_view->priv->displayed_row != NULL' failed
  cell = combo.get_child().get_cell_renderers()[0]
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 384, in on_button_ok_clicked
    self.commitAllChanges()
  File "/usr/lib/python2.5/site-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 374, in commitAllChanges
    if self.writeSystemDefaultLang():
  File "/usr/lib/python2.5/site-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 548, in writeSystemDefaultLang
    self.setSystemDefaultLanguage(code)
  File "/usr/lib/python2.5/site-packages/LanguageSelector/LanguageSelector.py", line 91, in setSystemDefaultLanguage
    self.runAsRoot(["/bin/cp",out.name, fname])
  File "/usr/lib/python2.5/site-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 147, in runAsRoot
    ret = subprocess.call(cmd+userCmd)
  File "/usr/lib/python2.5/subprocess.py", line 444, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib/python2.5/subprocess.py", line 594, in __init__
    errread, errwrite)
  File "/usr/lib/python2.5/subprocess.py", line 1147, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory


前面的两个警告是打开 language-selector 窗口时出现的,后面的错误是在设置了语言,点应用或者确定的时候出现的。同时,在提示有语言包未安装,是否安装的对话框点 install 也会出现类似的错误。不知道是不是少装了什么软件包。请问有哪位大大知道如何解决。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译